# 32/64bit spec-file
#
%define build_modules 1
%define enable_jasper   1
%define enable_graphwiz 1

%define Name		GraphicsMagick
%define libname     %mklibname %name 3
%define libwandname	%mklibname graphicsmagickwand 2
%define develname	%mklibname %name -d
%define qlev        Q8

Summary:	An X application for displaying and manipulating images
Name:		graphicsmagick
Version:	1.3.36
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphics
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.graphicsmagick.org/
Source0:	http://kent.dl.sourceforge.net/sourceforge/graphicsmagick/%{Name}-%{version}.tar.xz
Patch0:     GraphicsMagick-1.3.15-use-so-for-modules.patch
Patch1:     GraphicsMagick-1.3.16-perl-link.patch
#----------------------------------------
BuildRequires: lib64bzip2-devel
BuildRequires: lib64freetype6-devel
BuildRequires: lib64jasper-devel
BuildRequires: lib64jbig-devel
BuildRequires: lib64jpeg-devel
BuildRequires: lib64lcms-devel
BuildRequires: lib64ltdl-devel
BuildRequires: lib64png-devel
BuildRequires: lib64tiff-devel
BuildRequires: lib64wmf0.2_7-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xext-devel
BuildRequires: lib64xml2-devel
BuildRequires: libgomp-devel
BuildRequires: x11-proto-devel
BuildRequires: perl-devel
BuildRequires: libwmf-devel
BuildRequires: zlib-devel
BuildRequires: chrpath
#----------------------------------------
Obsoletes:	GraphicsMagick
Provides:   GraphicsMagick = %version-%release

%description
GraphicsMagick is the swiss army knife of image processing. It 
provides a robust collection of tools and libraries which support 
reading, writing, and manipulating an image in over 88 major formats 
including important formats like DPX, GIF, JPEG, JPEG-2000, PNG, PDF, 
SVG, and TIFF. GraphicsMagick supports huge images on systems that 
support large files, and has been tested with gigapixel-size images. 
GraphicsMagick can create new images on the fly, making it suitable 
for building dynamic Web applications. GraphicsMagick may be used to 
resize, rotate, sharpen, color reduce, or add special effects to an 
image and save the result in the same or differing image format. 
Image processing operations are available from the command line, as 
well as through C, C++, Perl, or Windows COM programming interfaces. 
Extensions are available from third-parties to support programming in 
Python, Tcl, and Ruby. With some modification, language extensions for 
ImageMagick may be used.

%files
%defattr(-,root,root)
%doc ChangeLog *.txt
%{_bindir}/gm
%dir %{_libdir}/GraphicsMagick-%{version}/config
%{_libdir}/GraphicsMagick-%{version}/config/*.mgk
%dir %{_datadir}/GraphicsMagick-%{version}/config
%{_datadir}/GraphicsMagick-%{version}/config/*.mgk
%if %build_modules
%dir %{_libdir}/%{Name}-%{version}/modules-%{qlev}
%{_libdir}/%{Name}-%{version}/modules-%{qlev}/filters
%dir %{_libdir}/%{Name}-%{version}/modules-%{qlev}/coders
%{_libdir}/%{Name}-%{version}/modules-%{qlev}/coders/*.so
%endif
%{_mandir}/man1/GraphicsMagick++-config.1.*
%{_mandir}/man1/GraphicsMagick-config.1.*
%{_mandir}/man1/GraphicsMagickWand-config.1.*
%{_mandir}/man1/gm.1.*
%{_mandir}/man4/miff.4.*
%{_mandir}/man5/quantize.5.*

#--------------------------------------------------------------

%package -n     %{libname}
Summary:        %Name libraries
Group:          System/Libraries
Obsoletes:	lib64GraphicsMagick1
Obsoletes:	lib64GraphicsMagick++1

Obsoletes: lib64GraphicsMagick3
Provides: lib64GraphicsMagick3 = %version-%release

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with ImageMagick libraries.

%files -n %{libname}
%defattr(-,root,root,755)
%{_libdir}/libGraphicsMagick++.so.*
%{_libdir}/libGraphicsMagick.so.*

#--------------------------------------------------------------

%package -n     %{libwandname}
Summary:        %Name libraries
Group:          System/Libraries
Obsoletes:	lib64GraphicsMagickWand0

Obsoletes:  lib64GraphicsMagickWand2
Provides:   lib64GraphicsMagickWand2 = %version-%release

%description -n %{libwandname}
This package contains the libraries needed to run programs dynamically
linked with ImageMagick libraries.

%files -n %{libwandname}
%defattr(-,root,root,755)
%{_libdir}/libGraphicsMagickWand.so.*

#--------------------------------------------------------------

%package devel
Summary: Static libraries and header files for %{Name} app development
Group: Development/Libraries
Obsoletes: GraphicsMagick-devel
Provides:  GraphicsMagick-devel = %version-%release
Provides: %{name}-devel = %{version}-%{release}

Obsoletes: lib64GraphicsMagick++-devel
Provides: lib64GraphicsMagick++-devel = %{version}-%{release}

Requires:  %{libname} = %{version}
Requires: %{libwandname} = %{version}
Requires:  jbig-devel

%if %{enable_jasper}
Requires: jasper-devel
%endif
%if %{enable_graphwiz}
Requires: graphviz-devel
%define _requires_exceptions devel(libcdt)\\|devel(libcircogen)\\|devel(libcommon)\\|devel(libdotgen)\\|devel(libdotneato)\\|devel(libfdpgen)\\|devel(libgraph)\\|devel(libgvrender)\\|devel(libneatogen)\\|devel(libpack)\\|devel(libpathplan)\\|devel(libtwopigen)\\|devel(libgvc)\\|devel(libgvgd)
%endif

%description devel
If you want to create applications that will use ImageMagick code or
APIs, you'll need to install these packages as well as
ImageMagick. These additional packages aren't necessary if you simply
want to use ImageMagick, however.

imagemagick-devel is an addition to ImageMagick which includes static
libraries and header files necessary to develop applications.

%files devel
%defattr(-,root,root)
%{_bindir}/GraphicsMagick++-config
%{_bindir}/GraphicsMagick-config
%{_bindir}/GraphicsMagickWand-config
%dir %{_includedir}/GraphicsMagick
%{_includedir}/GraphicsMagick/Magick++.h
%dir %{_includedir}/GraphicsMagick/magick
%{_includedir}/GraphicsMagick/magick/*.h
%dir %{_includedir}/GraphicsMagick/Magick++
%{_includedir}/GraphicsMagick/Magick++/*.h
%dir %{_includedir}/GraphicsMagick/wand
%{_includedir}/GraphicsMagick/wand/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

#--------------------------------------------------------------

%package -n     perl-graphicsmagick
Summary:        Libraries and modules for access to %Name from perl
Group:          Development/Perl
Requires:       %{name} = %{version}

Obsoletes:	perl-GraphicsMagick
Provides:   perl-GraphicsMagick = %{version}-%{release}

%if %{enable_graphwiz}
Requires:       graphviz
%endif

%description -n perl-graphicsmagick
This is the %Name perl support package. It includes perl modules
and support files for access to ImageMagick library from perl.

%files -n perl-graphicsmagick
%defattr(-,root,root)
%{_mandir}/man3*/*::*.3pm*
%{perl_vendorarch}/Graphics
%{perl_vendorarch}/auto

#--------------------------------------------------------------

%package        doc
Summary:        %{name} Documentation
Group:          Documentation

Obsoletes:  GraphicsMagick-doc
Provides: GraphicsMagick-doc = %version-%release

%description    doc
This package contains HTML/PDF documentation of %{name}.


%files doc
%defattr(-,root,root)
%_datadir/doc/GraphicsMagick

#--------------------------------------------------------------

%prep
%setup -q -n %{Name}-%{version}
%apply_patches

%build
%define Werror_cflags %nil
%configure2_5x \
    --enable-fast-install \
    --disable-ltdl-install \
    --without-dps \
    --disable-static \
%if %build_modules
    --with-modules \
%else
    --without-modules \
%endif
    --enable-shared \
    --with-pic \
%if %{enable_jasper}
    --with-jp2 \
%else
    --without-jp2 \
%endif
    --with-perl-options="INSTALLDIRS=vendor" \
    --with-perl

%make_build
%make_build perl-build

%install
%make_install
%make_install -C PerlMagick

# fix rights and remove rpaths
chmod 755 %{buildroot}%{perl_vendorarch}/auto/Graphics/Magick/Magick.so
chrpath -d %{buildroot}%{perl_vendorarch}/auto/Graphics/Magick/Magick.so

# remove unwanted files
find %{buildroot} -name '*.la' -delete
rm -f %{buildroot}%{_datadir}/GraphicsMagick-%{version}/{ChangeLog,NEWS.txt}


%clean
rm -rf %{buildroot}


%changelog
* Thu Jan 14 2021 tex - 1.3.36-1pclos2021
- new version

* Tue May 19 2020 ghostbunny <ghostbunny at gmx dot de> 1.3.35-2pclos2020
- rebuild against new jasper version

* Thu Feb 27 2020 tex - 1.3.35-1pclos2020
- new version

* Sat Jan 04 2020 tex - 1.3.34-1pclos2020
- new version

* Sat Aug 10 2019 tex - 1.3.33-1pclos2019
- new version

* Thu Jun 20 2019 tex - 1.3.32-1pclos2019
- new version

* Tue Sep 12 2017 bb2 <bb2> - 1.3.26-2pclos2017
- rebuild against updates

* Sun Sep 10 2017 bb2 <bb2> 1.3.26-1pclos2017
- new version

* Thu Sep 04 2014 bb <bb> 1.3.20-1pclos2014
- security update

* Thu Jan 02 2014 bb <bb> 1.3.5-3pclos2013
- adjust specfile 
- drop .la files

* Wed Jan 30 2013 pinoc <vogtpet at gmail.com> 1.3.5-2pclos2013
- rebuild, now also for 64bit

